POST api/witnessapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
WitnessViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| id | globally unique identifier |
None. |
|
| date_hu | date |
None. |
|
| local_update | date |
None. |
|
| site_id | globally unique identifier |
Required |
|
| status | integer |
None. |
|
| wash_count | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"id": "cbd20fa0-3beb-4f8e-8d38-0b42c55aee97",
"date_hu": "2026-03-11T06:57:20.763906+00:00",
"local_update": "2026-03-11T06:57:20.763906+00:00",
"site_id": "33c69b8b-4e25-422a-8f10-4b70b209ecaa",
"status": 1,
"wash_count": 1
}
application/xml, text/xml
Sample:
<witness xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <date_hu>2026-03-11T06:57:20.763906+00:00</date_hu> <id>cbd20fa0-3beb-4f8e-8d38-0b42c55aee97</id> <local_update>2026-03-11T06:57:20.763906+00:00</local_update> <site_id>33c69b8b-4e25-422a-8f10-4b70b209ecaa</site_id> <status>1</status> <wash_count>1</wash_count> </witness>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"0d4bfb99-78b5-455b-86ee-0a9b7cd330c2"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">0d4bfb99-78b5-455b-86ee-0a9b7cd330c2</guid>